Bug 114562 - netstat -inet not giving proper output
netstat -inet not giving proper output
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: net-tools (Show other bugs)
3.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Radek Vokal
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-01-29 11:55 EST by Michael Stahnke
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-10 03:45:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Stahnke 2004-01-29 11:55:04 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.5)
Gecko/20031007 Firebird/0.7

Description of problem:
Our vendor is saying that netstat -inet is broken in ES 3.0.  I tried
to run netstat -inet on a Redhat 9 box and an ES3.0 and got different
output.  


  





Version-Release number of selected component (if applicable):
net-tools-1.60-20

How reproducible:
Always

Steps to Reproduce:
Steps to Reproduce:
1.  Log into Enterprise Linux 3.0 Box
2.  Become root
3.   # netstat -inet

Actual Results:  Actual results:
[root@bunson root]# netstat -inet
Kernel Interface table
Iface       MTU Met    RX-OK RX-ERR RX-DRP RX-OVR    TX-OK TX-ERR
TX-DRP TX-OVR Flg
net: error fetching interface information: Device not found
[root@bunson root]#

(Please note that ifconfig works)



Expected Results:  Expected results:
Here is the same command on a Redhat 9 box. 
[root@destro root]# netstat -inet
Kernel Interface table
eth0      Link encap:Ethernet  HWaddr 00:06:5B:3D:BE:9C
          inet addr:137.230.8.202  Bcast:137.230.11.255 
Mask:255.255.252.0
          UP BROADCAST RUNNING MULTICAST  MTU:1500  Metric:1
          RX packets:30761677 errors:0 dropped:0 overruns:0 frame:0
          TX packets:7915448 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:100
          RX bytes:1911365281 (1822.8 Mb)  TX bytes:172305704 (164.3 Mb)
          Interrupt:16 Base address:0xbcc0 Memory:fe900000-fe900038

eth0:1    Link encap:Ethernet  HWaddr 00:06:5B:3D:BE:9C
          inet addr:137.230.8.110  Bcast:137.230.11.255 
Mask:255.255.252.0
          UP BROADCAST RUNNING MULTICAST  MTU:1500  Metric:1
          RX packets:0 errors:0 dropped:0 overruns:0 frame:0
          TX packets:0 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:100
          RX bytes:0 (0.0 b)  TX bytes:0 (0.0 b)
          Interrupt:16 Base address:0xbcc0 Memory:fe900000-fe900038

lo        Link encap:Local Loopback
          inet addr:127.0.0.1  Mask:255.0.0.0
          UP LOOPBACK RUNNING  MTU:16436  Metric:1
          RX packets:4871 errors:0 dropped:0 overruns:0 frame:0
          TX packets:4871 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:0
          RX bytes:599086 (585.0 Kb)  TX bytes:599086 (585.0 Kb)

[root@destro root]#


Additional info:



ifconfig gives similar output to netstat -inet, but the netstat
command is usable cross-platform, where ifconfig is quite different on
AIX, Solaris etc.  That is why the vendor uses netstat -inet.  

netstat --inet gives output too, but in a much different format.
Comment 1 Suhua Ding 2004-02-20 15:32:33 EST
In net-tools-1.60-20, you can specify a specific NIC with -i option,
but the NIC has to be follow -i immediately without space. So when -i
is used, whatever follows it before the next space, is regarded as the
NIC name. So 'netstat -i -net' will work, but 'netstat -inet' won't.

Note You need to log in before you can comment on or make changes to this bug.